diff --git a/doc/src/sgml/datatype.sgml b/doc/src/sgml/datatype.sgml
index a8d0780387..86eb38cc8f 100644
--- a/doc/src/sgml/datatype.sgml
+++ b/doc/src/sgml/datatype.sgml
@@ -2095,11 +2095,15 @@ January 8 04:05:06 1999 PST
       <quote>+</quote> or <quote>-</quote> symbol and time zone offset after
       the time.  Hence, according to the standard,
 
-      <programlisting>TIMESTAMP '2004-10-19 10:23:54'</programlisting>
+<programlisting>
+TIMESTAMP '2004-10-19 10:23:54'
+</programlisting>
 
       is a <type>timestamp without time zone</type>, while
 
-      <programlisting>TIMESTAMP '2004-10-19 10:23:54+02'</programlisting>
+<programlisting>
+TIMESTAMP '2004-10-19 10:23:54+02'
+</programlisting>
 
       is a <type>timestamp with time zone</type>.
       <productname>PostgreSQL</productname> never examines the content of a
@@ -2108,7 +2112,9 @@ January 8 04:05:06 1999 PST
       ensure that a literal is treated as <type>timestamp with time
       zone</type>, give it the correct explicit type:
 
-      <programlisting>TIMESTAMP WITH TIME ZONE '2004-10-19 10:23:54+02'</programlisting>
+<programlisting>
+TIMESTAMP WITH TIME ZONE '2004-10-19 10:23:54+02'
+</programlisting>
 
       In a literal that has been determined to be <type>timestamp without time
       zone</type>, <productname>PostgreSQL</productname> will silently ignore
diff --git a/doc/src/sgml/libpq.sgml b/doc/src/sgml/libpq.sgml
index 5892367c61..75c7c5837b 100644
--- a/doc/src/sgml/libpq.sgml
+++ b/doc/src/sgml/libpq.sgml
@@ -790,9 +790,9 @@ void PQsetSSLKeyPassHook(PQsslKeyPassHook_type hook);
 </synopsis>
 
        The application passes a pointer to a callback function with signature:
-       <programlisting>
-       int callback_fn(char *buf, int size, PGconn *conn);
-       </programlisting>
+<programlisting>
+int callback_fn(char *buf, int size, PGconn *conn);
+</programlisting>
        which <literal>libpq</literal> will then call <emphasis>instead of</emphasis>
        its default <function>PQdefaultSSLKeyPassHook</function> handler. The callback
        should determine the password for the key and copy it to result-buffer
@@ -1668,7 +1668,7 @@ postgresql://%2Fvar%2Flib%2Fpostgresql/dbname
        </para>
        <para>
         Specifying this parameter with any non-empty value suppresses the
-        <literal>Enter PEM passphrase:</literal>
+        <literal>Enter PEM pass phrase:</literal>
         prompt that OpenSSL will emit by default when an encrypted client
         certificate key is provided to <literal>libpq</literal>.
        </para>
@@ -7667,10 +7667,7 @@ ldap://ldap.acme.com/cn=dbserver,cn=hosts?pgconnectinfo?base?(objectclass=*)
    may be provided in the <xref linkend="libpq-connect-sslpassword"/> connection
    option. If an encrypted key is supplied and the <literal>sslpassword</literal>
    option is absent or blank, a password will be prompted for interactively by
-   OpenSSL with a
-   <programlisting>
-    Enter PEM Passphrase:
-   </programlisting>
+   OpenSSL with a <literal>Enter PEM pass phrase:</literal>
    prompt if a TTY is available. Applications can override the client certificate
    prompt and the handling of the <literal>sslpassword</literal> parameter by supplying
    their own key password callback; see <xref linkend="libpq-pqsetsslkeypasshook"/>.
diff --git a/doc/src/sgml/postgres-fdw.sgml b/doc/src/sgml/postgres-fdw.sgml
index 94992be427..eab2cc9378 100644
--- a/doc/src/sgml/postgres-fdw.sgml
+++ b/doc/src/sgml/postgres-fdw.sgml
@@ -151,10 +151,10 @@
    <para>
     A superuser may override this check on a per-user-mapping basis by setting
     the user mapping option <literal>password_required 'false'</literal>, e.g.
-    <programlisting>
-      ALTER USER MAPPING FOR some_non_superuser SERVER loopback_nopw
-      OPTIONS (ADD password_required 'false');
-    </programlisting>
+<programlisting>
+ALTER USER MAPPING FOR some_non_superuser SERVER loopback_nopw
+OPTIONS (ADD password_required 'false');
+</programlisting>
     To prevent unprivileged users from exploiting the authentication rights
     of the unix user the postgres server is running as to escalate to superuser
     rights, only the superuser may set this option on a user mapping.
